-- hds header_start
-- hds header_end
--  Coregen VHDL wrapper file modified by HDL Designer
-- 
-- ------------------------------------------------------------------------------
--      This file is owned and controlled by Xilinx and must be used           --
--      solely for design, simulation, implementation and creation of          --
--      design files limited to Xilinx devices or technologies. Use            --
--      with non-Xilinx devices or technologies is expressly prohibited        --
--      and immediately terminates your license.                               --
--                                                                             --
--      XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"          --
--      SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR                --
--      XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION        --
--      AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION            --
--      OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS              --
--      IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,                --
--      AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE       --
--      FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY               --
--      WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE                --
--      IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR         --
--      REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF        --
--      INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS        --
--      FOR A PARTICULAR PURPOSE.                                              --
--                                                                             --
--      Xilinx products are not intended for use in life support               --
--      appliances, devices, or systems. Use in such applications are          --
--      expressly prohibited.                                                  --
--                                                                             --
--      (c) Copyright 1995-2002 Xilinx, Inc.                                   --
--      All rights reserved.                                                   --
-- ------------------------------------------------------------------------------
--  You must compile the wrapper file cg_dpram40x32.vhd when simulating
--  the core, cg_dpram40x32. When compiling the wrapper file, be sure to
--  reference the XilinxCoreLib VHDL simulation library. For detailed
--  instructions, please refer to the "Coregen Users Guide".
-- 
--  The synopsys directives "translate_off/translate_on" specified
--  below are supported by XST, FPGA Express, Exemplar and Synplicity
--  synthesis tools. Ensure they are correct for your synthesis tool(s).
-- 
-- 
library ieee;
use ieee.std_logic_1164.ALL;

library XilinxCoreLib;


entity cg_dpram40x32 is
   port( 
      addra : in     std_logic_VECTOR (5 downto 0);
      addrb : in     std_logic_VECTOR (5 downto 0);
      clka  : in     std_logic;
      clkb  : in     std_logic;
      dina  : in     std_logic_VECTOR (31 downto 0);
      dinb  : in     std_logic_VECTOR (31 downto 0);
      douta : out    std_logic_VECTOR (31 downto 0);
      doutb : out    std_logic_VECTOR (31 downto 0);
      ena   : in     std_logic;
      enb   : in     std_logic;
      wea   : in     std_logic;
      web   : in     std_logic
   );

-- Declarations

end cg_dpram40x32 ;

-- hds interface_end


-- pragma synthesis_off
ARCHITECTURE cg_dpram40x32_a OF cg_dpram40x32 IS

component wrapped_cg_dpram40x32
	port (
	addra: IN std_logic_VECTOR(5 downto 0);
	addrb: IN std_logic_VECTOR(5 downto 0);
	clka: IN std_logic;
	clkb: IN std_logic;
	dina: IN std_logic_VECTOR(31 downto 0);
	dinb: IN std_logic_VECTOR(31 downto 0);
	douta: OUT std_logic_VECTOR(31 downto 0);
	doutb: OUT std_logic_VECTOR(31 downto 0);
	ena: IN std_logic;
	enb: IN std_logic;
	wea: IN std_logic;
	web: IN std_logic);
end component;

-- Configuration specification 
	for all : wrapped_cg_dpram40x32 use entity XilinxCoreLib.blkmemdp_v5_0(behavioral)
		generic map(
			c_reg_inputsb => 0,
			c_reg_inputsa => 0,
			c_has_ndb => 0,
			c_has_nda => 0,
			c_ytop_addr => "1024",
			c_has_rfdb => 0,
			c_has_rfda => 0,
			c_yena_is_high => 1,
			c_ywea_is_high => 1,
			c_yclka_is_rising => 1,
			c_yhierarchy => "hierarchy1",
			c_ysinita_is_high => 1,
			c_ybottom_addr => "0",
			c_width_b => 32,
			c_width_a => 32,
			c_sinita_value => "0",
			c_sinitb_value => "0",
			c_limit_data_pitch => 18,
			c_write_modeb => 2,
			c_write_modea => 2,
			c_has_rdyb => 0,
			c_has_rdya => 0,
			c_yuse_single_primitive => 0,
			c_addra_width => 6,
			c_addrb_width => 6,
			c_has_limit_data_pitch => 0,
			c_default_data => "0",
			c_pipe_stages_b => 0,
			c_yweb_is_high => 1,
			c_yenb_is_high => 1,
			c_pipe_stages_a => 0,
			c_yclkb_is_rising => 1,
			c_enable_rlocs => 0,
			c_ysinitb_is_high => 1,
			c_has_web => 1,
			c_has_default_data => 1,
			c_has_sinitb => 0,
			c_has_wea => 1,
			c_has_sinita => 0,
			c_has_dinb => 1,
			c_has_dina => 1,
			c_ymake_bmm => 0,
			c_has_enb => 1,
			c_has_ena => 1,
			c_depth_b => 40,
			c_mem_init_file => "mif_file_16_1",
			c_depth_a => 40,
			c_has_doutb => 1,
			c_has_douta => 1,
			c_yprimitive_type => "16kx1");
BEGIN

U0 : wrapped_cg_dpram40x32
		port map (
			addra => addra,
			addrb => addrb,
			clka => clka,
			clkb => clkb,
			dina => dina,
			dinb => dinb,
			douta => douta,
			doutb => doutb,
			ena => ena,
			enb => enb,
			wea => wea,
			web => web);
END cg_dpram40x32_a;

-- pragma synthesis_on


